| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
ob::DeviceInfo Class Reference

A class describing device information, representing the name, id, serial number and other basic information of an RGBD camera. More...

`#include <Device.hpp>`

## Public Member Functions
| DeviceInfo (std::unique_ptr< DeviceInfoImpl > impl)
virtual | ~DeviceInfo () noexcept
const char * | name ()
| Get device name.
int | pid ()
| Get the pid of the device.
int | vid ()
| Get the vid of the device.
const char * | uid ()
| Get system assigned uid for distinguishing between different devices.
const char * | serialNumber ()
| Get the serial number of the device.
const char * | firmwareVersion ()
| Get the version number of the firmware.
DEPRECATED const char * | usbType ()
| Get the USB connection type of the device (DEPRECATED)
const char * | connectionType ()
| Get the connection type of the device.
const char * | ipAddress ()
| Get the IP address of the device.
const char * | hardwareVersion ()
| Get the version number of the hardware.
const char * | supportedMinSdkVersion ()
| Get the minimum version number of the SDK supported by the device.
const char * | extensionInfo ()
| Get information about extensions obtained from SDK supported by the device.
const char * | asicName ()
| Get chip type name.
OBDeviceType | deviceType ()
| Get the device type.

## Friends
class | Context
class | DeviceList
class | Pipeline

## Detailed Description

A class describing device information, representing the name, id, serial number and other basic information of an RGBD camera.

Definition at line 640 of file Device.hpp.

## Constructor & Destructor Documentation

## ◆ DeviceInfo()

ob::DeviceInfo::DeviceInfo | ( | std::unique_ptr< DeviceInfoImpl > | impl | ) |

## ◆ ~DeviceInfo()

virtual ob::DeviceInfo::~DeviceInfo | ( |  | ) |
| virtual noexcept

## Member Function Documentation

## ◆ name()

const char * ob::DeviceInfo::name | ( |  | ) |

Get device name.

Returns
  const char * return the device name

## ◆ pid()

int ob::DeviceInfo::pid | ( |  | ) |

Get the pid of the device.

Returns
  int return the pid of the device

## ◆ vid()

int ob::DeviceInfo::vid | ( |  | ) |

Get the vid of the device.

Returns
  int return the vid of the device

## ◆ uid()

const char * ob::DeviceInfo::uid | ( |  | ) |

Get system assigned uid for distinguishing between different devices.

Returns
  const char * return the uid of the device

## ◆ serialNumber()

const char * ob::DeviceInfo::serialNumber | ( |  | ) |

Get the serial number of the device.

Returns
  const char * return the serial number of the device

## ◆ firmwareVersion()

const char * ob::DeviceInfo::firmwareVersion | ( |  | ) |

Get the version number of the firmware.

Returns
  const char* return the version number of the firmware

## ◆ usbType()

DEPRECATED const char * ob::DeviceInfo::usbType | ( |  | ) |

Get the USB connection type of the device (DEPRECATED)

Returns
  const char* the USB connection type of the device

## ◆ connectionType()

const char * ob::DeviceInfo::connectionType | ( |  | ) |

Get the connection type of the device.

Returns
  const char* the connection type of the device，currently supports："USB", "USB1.0", "USB1.1", "USB2.0", "USB2.1", "USB3.0", "USB3.1", "USB3.2", "Ethernet"

## ◆ ipAddress()

const char * ob::DeviceInfo::ipAddress | ( |  | ) |

Get the IP address of the device.

Attention
  Only valid for network devices, otherwise it will return "0.0.0.0".

Returns
  const char* the IP address of the device, such as "192.168.1.10"

## ◆ hardwareVersion()

const char * ob::DeviceInfo::hardwareVersion | ( |  | ) |

Get the version number of the hardware.

Returns
  const char* the version number of the hardware

## ◆ supportedMinSdkVersion()

const char * ob::DeviceInfo::supportedMinSdkVersion | ( |  | ) |

Get the minimum version number of the SDK supported by the device.

Returns
  const char* the minimum SDK version number supported by the device

## ◆ extensionInfo()

const char * ob::DeviceInfo::extensionInfo | ( |  | ) |

Get information about extensions obtained from SDK supported by the device.

Returns
  const char* Returns extended information about the device

## ◆ asicName()

const char * ob::DeviceInfo::asicName | ( |  | ) |

Get chip type name.

Returns
  const char* the chip type name

## ◆ deviceType()

OBDeviceType ob::DeviceInfo::deviceType | ( |  | ) |

Get the device type.

Returns
  OBDeviceType the device type

## Friends And Related Symbol Documentation

## ◆ Context

friend class Context
| friend

Definition at line 749 of file Device.hpp.

## ◆ DeviceList

friend class DeviceList
| friend

Definition at line 750 of file Device.hpp.

## ◆ Pipeline

friend class Pipeline
| friend

Definition at line 751 of file Device.hpp.

The documentation for this class was generated from the following file:

- E:/Projects/Jenkins/workspace/OrbbecSDK/libobsensor/include/libobsensor/hpp/Device.hpp